> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Batch create/update QennerLengthOfStayPeriod entities.

- Product: Qenner
- Section: Integration - Qenner
- Snapshot: Current
- Method: `PUT`
- Path: `/api/qenner/los_periods/batch`

## Query parameters

### `qennerAccommodation`

Type: `number`  
Required: yes  

## Request body

Required: no  
Content types: `application/json`  

### object[]

Type: `object[]`  

#### object

Type: `object`  

##### `dateFrom`

Type: `string`  
Required: yes  

##### `dateTo`

Type: `string`  
Required: yes  

##### `numOfPersons`

Type: `number`  
Required: yes  

##### `totalPrice`

Type: `number`  
Format: `float`  
Required: yes  

## Execute with TypeScript

Package: `@recranet/sdk`  

A TypeScript example is not available yet.

## Execute with curl

```bash
curl -X PUT "https://app.recranet.com/api/qenner/los_periods/batch" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "qennerAccommodation=$QENNERACCOMMODATION" \
    -H 'Content-Type: application/json' \
    -d '[{"dateFrom":"<dateFrom>","dateTo":"<dateTo>","numOfPersons":0,"totalPrice":0}]'
```

## Responses

### Response `200`

Category: success  

Successful response

## Related representations

- [Human documentation](/qenner/los-periods/methods/batch/)
- [TypeScript Markdown](/qenner/los-periods/methods/batch.md?lang=typescript)
- [curl Markdown](/qenner/los-periods/methods/batch.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/qenner/llms.txt)
- [snapshot llms.txt](/qenner/llms.txt)
